#! /usr/bin/env node
'use strict';

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _gzipSize = require('gzip-size');

var _gzipSize2 = _interopRequireDefault(_gzipSize);

var _filesize = require('filesize');

var _filesize2 = _interopRequireDefault(_filesize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */

new _promise2.default(function (resolve, reject) {
  (0, _glob2.default)(_path2.default.join(__dirname, '../../{data,regex}/**/*.{js,json}'), function (error, files) {
    if (error) {
      reject(error);
    } else {
      resolve(files);
    }
  });
}).then(function (files) {
  return _promise2.default.all(files.map(function (file) {
    return new _promise2.default(function (resolve, reject) {
      _fs2.default.readFile(file, function (error, data) {
        if (error) {
          reject(error);

          return;
        }

        resolve({
          file: file.replace(process.cwd() + '/', ''),
          size: Buffer.byteLength(data),
          gzip: _gzipSize2.default.sync(data)
        });
      });
    });
  }));
}).then(function (rows) {
  console.log('| File | Filesize | Gzipped |');
  console.log('| --- | --- | --- |');

  rows.sort(function (a, b) {
    return a.size - b.size;
  });

  rows.forEach(function (row) {
    console.log('| ' + row.file + ' | ' + (0, _filesize2.default)(row.size) + ' | ' + (0, _filesize2.default)(row.gzip) + ' |');
  });
}).catch(function (error) {
  console.log(_chalk2.default.red('Failed to generate filesize table'));
  console.log(_chalk2.default.gray(error.message));
});