'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mapSetGrouped;

var _extractSet = require('../../extractSet');

var _extractSet2 = _interopRequireDefault(_extractSet);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapSetGrouped(data, keyName, format) {
  var groups = {};

  data.forEach(function (row) {
    var group = row[keyName];
    var nextRow = (0, _extractSet2.default)(row, format);

    delete nextRow[keyName];

    if (!groups[group]) {
      groups[group] = [];
    }

    groups[group].push(nextRow);
  });

  return groups;
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */