'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

exports.default = writeFile;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function writeFile(filePath, data, callback) {
  var json = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

  return new _promise2.default(function (resolve, reject) {
    var fileName = _path2.default.basename(filePath);
    var dump = callback(data);

    _fs2.default.writeFile(filePath, json ? (0, _stringify2.default)(dump) : dump, function (error) {
      if (error) {
        console.error('  ' + _chalk2.default.red('✖') + ' ' + _chalk2.default.gray(fileName));
        reject(error);
      } else {
        console.log('  ' + _chalk2.default.green('✔') + ' ' + _chalk2.default.gray(fileName));
        resolve(data);
      }
    });
  });
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */