'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cleanName;
/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 * 
 */

var CLEAN_PATTERN = /(\b(and|because|but|for|if|in|or|of|the|when|with|without|sign)\b)/g;

function cleanName(name) {
  var cleaned = name.toLowerCase().split(';')[0].replace(/[^a-z0-9- ]+/g, '');

  cleaned = cleaned.replace(CLEAN_PATTERN, ' ');

  cleaned = cleaned.replace(/\s+/g, ' ');

  return cleaned.trim();
}