'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createShortnames;

var _cleanName = require('./cleanName');

var _cleanName2 = _interopRequireDefault(_cleanName);

var _extractSkinTone = require('./extractSkinTone');

var _extractSkinTone2 = _interopRequireDefault(_extractSkinTone);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 * 
 */

var USED_SHORTNAMES = {};

function createShortnames(name) {
  var shortname = (0, _cleanName2.default)(name).replace(/\s/g, '_');

  if (shortname === 'regional_indicator_symbol_letter_u_regional_indicator_symbol_letter_n') {
    return ['flag_un'];
  }

  var skinTone = (0, _extractSkinTone2.default)(name);

  if (skinTone) {
    shortname += '_tone' + skinTone;
  }

  if (USED_SHORTNAMES[shortname]) {
    USED_SHORTNAMES[shortname] += 1;
    shortname += USED_SHORTNAMES[shortname];
  } else {
    USED_SHORTNAMES[shortname] = 1;
  }

  return [shortname];
}