'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

exports.default = extractSet;

var _pick = require('lodash/pick');

var _pick2 = _interopRequireDefault(_pick);

var _pickBy = require('lodash/pickBy');

var _pickBy2 = _interopRequireDefault(_pickBy);

var _constants = require('./constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isDefined(value) {
  return value !== null && typeof value !== 'undefined';
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */

function extractSet(data, format) {
  var fields = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
  var name = data.name,
      unicode = data.unicode,
      hexcode = data.hexcode,
      codepoint = data.codepoint,
      shortnames = data.shortnames;

  var _shortnames = (0, _slicedToArray3.default)(shortnames, 1),
      shortname = _shortnames[0];

  switch (format) {
    default:
    case _constants.EXPANDED:
      return (0, _pickBy2.default)(data, isDefined);

    case _constants.STANDARD:
      return (0, _pickBy2.default)({
        name: name,
        unicode: unicode,
        hexcode: hexcode,
        codepoint: codepoint,
        shortname: shortname
      }, isDefined);

    case _constants.COMPACT:
      return (0, _pickBy2.default)({
        unicode: unicode,
        hexcode: hexcode,
        shortname: shortname
      }, isDefined);

    case _constants.CUSTOM:
      return (0, _pick2.default)(data, fields);
  }
}