'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

exports.default = fromUnicodeToHex;

var _constants = require('./constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BASE_HEXADECIMAL = 16; /**
                            * @copyright   2017, Miles Johnson
                            * @license     https://opensource.org/licenses/MIT
                            * 
                            */

var HEX_WIDTH = 4;

function fromUnicodeToHex(unicode) {
  var strip = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

  var hexcode = [];

  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = (0, _getIterator3.default)(unicode), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var codepoint = _step.value;

      var hex = codepoint.codePointAt(0).toString(BASE_HEXADECIMAL).toUpperCase();

      while (hex.length < HEX_WIDTH) {
        hex = '0' + hex;
      }

      if (!strip || strip && !hex.match(_constants.SEQUENCE_REMOVAL_PATTERN)) {
        hexcode.push(hex);
      }
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  return hexcode.join('-');
}